[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# CompareHandles

Compares two Handles, returning the relative order for the handle values.

## Declaration

Source position: lclproc.pas line 136

`function CompareHandles(`
`h1: TLCLHandle;`
`h2: TLCLHandle`
`):Integer;`

## Arguments

`h1` |  | First handle for the comparison.
`h2` |  | Second handle for the comparison.

## Function result

Relative order for the compared handle values.

## Description

The return value contains the following:

-1
  h1 has a lower value than h2.
0
  h1 and h2 have the same value.
1
  h1 has a higher value than h2.